{% extends "car_collection/__base.html" %}

{% load static %}

{% block actions %}
<div class="btn-group px-1">
  <button type="button" class="btn btn-secondary dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
    {{ mycar.model.brand }} {{ mycar.model.name }}
  </button>
  <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDropdown">
    <li><a class="dropdown-item" href="{% url 'my_cars_delete' mycar.id %}">Supprimer</a></li>
    <li><a class="dropdown-item" href="{% url 'my_cars_give' mycar.id %}">Donner</a></li>
    <li><a class="dropdown-item" href="{% url 'my_cars_sell' mycar.id %}">Vendre</a></li>
  </ul>
</div>
{% endblock %}

{% block content %}
<div class="card shadow">
  <div class="card-header">
    {{ mycar.model.brand }} {{ mycar.model.name }}
  </div>
	<div class="card-body">
    <div class="container">
      <div class="row">
        <div class="col">
          <div class="row">
            <img src="{{ mycar.model.picture.url }}" style="max-width:800px" />
          </div>
          <div class="row">
            {{ car.name }}
          </div>
        </div>
        <div class="col">
          <div class="row">Année du modèle: {{ mycar.model.year }}</div>
          <div class="row">Nombre: {{ mycar.number }}</div>
          <div class="row">Perf: {{ mycar.model.description|linebreaks }}</div>
          <div class="row">Event: {{ mycar.model.event|linebreaks }}</div>
          <div class="row">Rang: <img style="max-width:80px" src="{% static mycar.model.rank_url %}"/></div>
          <div class="row">Prix: {{ mycar.model.price }}</div>
        </div>
      </div>
    </div>
  </div>
</div>
{% endblock %}
